# Get Marriott Bonvoy account info

This endpoint gets Marriott Bonvoy account info for a user.

Endpoint: GET /v2/users/{userId}/marriott-bonvoy-member-data
Version: v2
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http bearer

## Path parameters:

  - `userId` (string, required)
    User ID.

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `activeCoBrandCardHolder` (string)
    Whether the user is an active co-brand card holder.
    Example: Y

  - `alternateCustomerId` (string)
    Alternate Marriott ID
    Example: ADA0555952BAEA2001CE5855074B12094.01

  - `eliteLevel` (string)
    Elite level description of Marriott Bonvoy member
    Enum: "MEMBER", "SILVER", "GOLD", "PLATINUM", "TITANIUM", "AMBASSADOR"

  - `eliteLevelId` (string)
    Marriott elite level id (R, S, G, P). Stable across member locales.
    Example: S

  - `eliteLevelDescription` (string)
    Elite level display text, localized by Marriott and passed through as-is.
    Example: Silver Elite

  - `isCardHolder` (boolean)
    Whether the member holds an active Marriott co-brand credit card. Derived from activeCoBrandCardHolder.
    Example: true

  - `pointBalance` (integer)
    Point balance of Marriott Bonvoy member. Can be negative.
    Example: 2000

  - `accountStatus` (string)
    Account status of Marriott Bonvoy member
    Example: Active

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `debugIdentifier` (string)
    Link to debug the error internally.

  - `errorMessages` (array)

  - `errorMessages.errorCode` (string)
    Error code to identify the specific errors.

  - `errorMessages.message` (string)
    Message containing details of error.

  - `errorMessages.errorParameters` (array)
    Error message parameters.

  - `errorMessages.errorParameters.name` (string)
    Parameter name

  - `errorMessages.errorParameters.value` (string)
    Parameter value

  - `errorMessages.errorDetail` (string)
    More details about the error.

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `debugIdentifier` (string)
    Link to debug the error internally.

  - `errorMessages` (array)

  - `errorMessages.errorCode` (string)
    Error code to identify the specific errors.

  - `errorMessages.message` (string)
    Message containing details of error.

  - `errorMessages.errorParameters` (array)
    Error message parameters.

  - `errorMessages.errorParameters.name` (string)
    Parameter name

  - `errorMessages.errorParameters.value` (string)
    Parameter value

  - `errorMessages.errorDetail` (string)
    More details about the error.

## Response 404:

  - `404` (unknown)
    The specified resource was not found.

## Response 404 fields (application/json):

  - `debugIdentifier` (string)
    Link to debug the error internally.

  - `errorMessages` (array)

  - `errorMessages.errorCode` (string)
    Error code to identify the specific errors.

  - `errorMessages.message` (string)
    Message containing details of error.

  - `errorMessages.errorParameters` (array)
    Error message parameters.

  - `errorMessages.errorParameters.name` (string)
    Parameter name

  - `errorMessages.errorParameters.value` (string)
    Parameter value

  - `errorMessages.errorDetail` (string)
    More details about the error.

